%define name spice
%define version 3f5
%define release 7mdk

Summary: 	Berkeley SPICE 3 Circuit Simulator
Name: 		%name
Version: 	%version
Release: 	%release
License:	BSD
URL:		http://www.ibiblio.org/pub/Linux/apps/circuits/
Group: 		Sciences/Other
Source: 	%{name}%{version}sfix.tar.bz2
Patch:		%name-linux.conf.patch.bz2
Buildrequires:	libtermcap-devel
Buildroot: 	%{_tmppath}/%{name}-buildroot

%description
SPICE 3 is a general-purpose circuit simulation program for nonlinear
dc, nonlinear transient, and linear ac analyses.  Circuits may contain
resistors, capacitors, inductors, mutual inductors, independent
voltage and current sources, four types of dependent sources,
transmission lines, and the four most common semiconductor devices:
diodes, BJT's, JFET's, and MOSFET's.

This version includes support for the Bsim3 model (V3.1)

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}%{version}sfix

%patch -p1

%build
./util/build linux gcc

obj/bin/makeidx lib/helpdir/spice.txt

# install has to be done by hand, because we are not assured
# that the builder has root privileges - things would be easier
# if spice had autoconf!

%install
install -d  $RPM_BUILD_ROOT%_bindir
install -d  $RPM_BUILD_ROOT%_libdir/spice/scripts
install -d  $RPM_BUILD_ROOT%_libdir/spice/helpdir

#install -d  $RPM_BUILD_ROOT%_libdir/spice/examples

install -d  $RPM_BUILD_ROOT%_mandir/man1
#install -d  $RPM_BUILD_ROOT%_mandir/man3
#install -d  $RPM_BUILD_ROOT%_mandir/man5

install -s obj/bin/spice3 $RPM_BUILD_ROOT%_bindir
ln -s /usr/bin/spice3 $RPM_BUILD_ROOT%_bindir/spice
install -s obj/bin/help $RPM_BUILD_ROOT%_bindir
install -s obj/bin/nutmeg $RPM_BUILD_ROOT%_bindir
install -s obj/bin/sconvert $RPM_BUILD_ROOT%_bindir
install -s obj/bin/multidec $RPM_BUILD_ROOT%_bindir
install -s obj/bin/proc2mod $RPM_BUILD_ROOT%_bindir

rm lib/make*
cp -r lib/* $RPM_BUILD_ROOT%_libdir/spice
#cp -r examples/ $RPM_BUILD_ROOT%_libdir/spice

install -m 644 man/man1/* $RPM_BUILD_ROOT%_mandir/man1
#install -m 644 man/man3/mfb.3 $RPM_BUILD_ROOT%_mandir/man3
#install -m 644 man/man5/mfbcap.5 $RPM_BUILD_ROOT%_mandir/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc readme readme.Linux notes/spice2
%doc 3f5patches/README*
%_libdir/spice
%_bindir/*
%_mandir/man1/*
#%_mandir/man3/*
#%_mandir/man5/*


%changelog
* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 3f5-7mdk
- buildrequires

* Mon Feb 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 3f5-6mdk
- from David Coe <david@coent.co.uk> :
	- install to correct lib path

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 3f5-5mdk
- rebuild

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 3f5-4mdk
- patch0: give a fix to hardcoded paths ( appreciate some feedback )

* Thu Mar 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 3f5-3mdk 
- updated to 3f5sfix
- fix files/install section

* Tue Sep 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 3f5-2mdk
- rebuild

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 3f5-1mdk
- used srpm from Blaise Tramier <meles@linux-mandrake.com> :
	- initial Mandrake release
	- repackaging to match Mandrake's standards
	- fixed bug in files proceeding (/usr/man/man?/* to /usr/man/man?/*.bz2)
- fix location of man pages
- fix files section
- add url

* Sun Jun 27 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- added 'provides' tag
- fixed silly bug (spice couldn't find its 'help' file)
- updated to full spice3f5 code (includes bsim3 support)

* Thu Feb  4 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- changed version number to 3f5
- added 'Obsoletes: spice' tag
- completed ftp search-path for patches

* Sat Jan 23 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- spec file mostly based on A. Veliath's spec file
- initialization of spec file.

# end of file

